Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Summary:	OpenGL Extension Wrangler Library 
Name:		glew
Version:	1.5.7
Release:	1
License:	GNU/GPL
URL:		http://glew.sourceforge.net/
Group:		System/Libraries
Source0:	%{name}-%{version}.tgz

Patch0:		%{name}-1.5.7-DESTDIR.patch

BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# prevent the propietary openGL incarnations
BuildConflicts:	xorg-x11-drv-fglrx
BuildConflicts:	xorg-x11-drv-nvidia
BuildConflicts:	xorg-x11-drv-nvidia-legacy
BuildConflicts:	xorg-x11-drv-nvidia-legacy96xx

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: libX11-devel
BuildRequires: libXext-devel
BuildRequires: libXi-devel
BuildRequires: libXmu-devel
BuildRequires: mesa-libGL-devel
BuildRequires: mesa-libGLU-devel
BuildRequires: pkg-config

%description
The OpenGL Extension Wrangler Library (GLEW) is a cross-platform C/C++ extension loading library.
GLEW provides efficient run-time mechanisms for determining which OpenGL extensions are supported
on the target platform. OpenGL core and extension functionality is exposed in a single header file.

%package	devel
Summary:	Header files and development documentation for glew
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description	devel
Header files for glew

%prep
%setup -qn %{name}-%{version}
%patch0 -p1
sed -i -e 's/\r//g' config/config.guess

%build
make %{?_smp_mflags} CFLAGS.EXTRA="$RPM_OPT_FLAGS"

%install
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%{_bindir}/glewinfo
%{_bindir}/visualinfo
%{_libdir}/libGLEW.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/GL/glew.h
%{_includedir}/GL/glxew.h
%{_includedir}/GL/wglew.h
%{_libdir}/libGLEW.a
%{_libdir}/libGLEW.so
%{_pkgconfig}/glew.pc

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Nov 05 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.5.7-1
- Version update
* Sat Apr 18 2009 Christian Wasem <wasem@ccux-linux.de> 1.5.1-1
- Version update
* Sun Feb 10 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.5.0-1
- Version update
* Thu Aug 16 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.4.0-1
- Version update
* Sat Dec 30 2006 Stefan Gottwald <gotti@ccux-linux.de> 1.3.5-1
- Version update
* Mon Sep 25 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.3.4-1
- Version update
* Sun Dec 11 2005 Christian Metzen <metzench@ccux-linux.de> 1.3.3-2
- Moved more files to devel package
* Sat Dec 10 2005 Karsten Brockmann <arcam@ccux-linux.de> 1.3.3-1
- Initial Release
